## com.gargoylesoftware.htmlunit.html
Class DomProcessingInstruction

    java.lang.Object
      com.gargoylesoftware.htmlunit.html.DomNode
          com.gargoylesoftware.htmlunit.html.DomProcessingInstruction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, org.w3c.dom.Node, org.w3c.dom.ProcessingInstruction

    public class DomProcessingInstruction

extends DomNode
implements org.w3c.dom.ProcessingInstruction

Wrapper for the DOM node ProcessingInstruction.

Version:
  $Revision: 4791 $
Author:
  Ahmed Ashour
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`DomNode.ChildIterator, DomNode.DescendantElementsIterator`

Field Summary

Fields inherited from class com.gargoylesoftware.htmlunit.html.DomNode
`AS_TEXT_BLANK, AS_TEXT_BLOCK_SEPARATOR, AS_TEXT_NEW_LINE, AS_TEXT_TAB, PROPERTY_ELEMENT, READY_STATE_COMPLETE, READY_STATE_INTERACTIVE, READY_STATE_LOADED, READY_STATE_LOADING, READY_STATE_UNINITIALIZED`

Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DomProcessingInstruction(SgmlPage page, java.lang.String target, java.lang.String data)` Creates a new instance.

Method Summary
`java.lang.String` `getData()`
`java.lang.String` `getNodeName()` Returns this node's node name.
`short` `getNodeType()` Returns this node's node type.
`java.lang.String` `getNodeValue()`
`java.lang.String` `getTarget()`
`protected void` `printXml(java.lang.String indent, java.io.PrintWriter printWriter)` Recursively writes the XML data for the node tree starting at `node`.
`void` `setData(java.lang.String data)`
`void` `setNodeValue(java.lang.String value)`

Methods inherited from class com.gargoylesoftware.htmlunit.html.DomNode

`addDomChangeListener, appendChild, asText, asXml, checkChildHierarchy, cloneNode, compareDocumentPosition, fireNodeAdded, fireNodeDeleted, getAllHtmlChildElements, getAncestors, getAttributes, getBaseURI, getByXPath, getCanonicalXPath, getChildNodes, getChildren, getEndColumnNumber, getEndLineNumber, getFeature, getFirstByXPath, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getPage, getParentNode, getPrefix, getPreviousSibling, getReadyState, getScriptObject, getStartColumnNumber, getStartLineNumber, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, insertBefore, isAncestorOf, isBlock, isDefaultNamespace, isDisplayed, isEqualNode, isSameNode, isSupported, isTrimmedText, lookupNamespaceURI, lookupPrefix, normalize, notifyIncorrectness, onAddedToPage, onAllChildrenAddedToPage, printChildrenAsXml, remove, removeAllChildren, removeChild, removeDomChangeListener, replace, replaceChild, selectNodes, selectSingleNode, setNextSibling, setParentNode, setPrefix, setPreviousSibling, setReadyState, setScriptObject, setTextContent, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setPrefix, setTextContent, setUserData`

Constructor Detail

### DomProcessingInstruction

    public DomProcessingInstruction(SgmlPage page,
                                    java.lang.String target,
                                    java.lang.String data)

  Creates a new instance.

  Parameters:
    `page` - the Page that contains this element
    `target` - the target
    `data` - the data

Method Detail

### getNodeType

    public short getNodeType()

  Returns this node's node type.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeType` in class `DomNode`
  Returns:
    the node type constant, in this case `Node.PROCESSING_INSTRUCTION_NODE`

### getNodeName

    public java.lang.String getNodeName()

  Returns this node's node name.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Specified by:
    `getNodeName` in class `DomNode`
  Returns:
    this node's node name

### getTarget

    public java.lang.String getTarget()

  Specified by:
    `getTarget` in interface `org.w3c.dom.ProcessingInstruction`

### getData

    public java.lang.String getData()

  Specified by:
    `getData` in interface `org.w3c.dom.ProcessingInstruction`

### setData

    public void setData(java.lang.String data)
                 throws org.w3c.dom.DOMException

  Specified by:
    `setData` in interface `org.w3c.dom.ProcessingInstruction`
  Throws:
    `org.w3c.dom.DOMException`

### setNodeValue

    public void setNodeValue(java.lang.String value)

  Specified by:
    `setNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `setNodeValue` in class `DomNode`

### getNodeValue

    public java.lang.String getNodeValue()

  Specified by:
    `getNodeValue` in interface `org.w3c.dom.Node`
  Overrides:
    `getNodeValue` in class `DomNode`

### printXml

    protected void printXml(java.lang.String indent,
                            java.io.PrintWriter printWriter)

  Recursively writes the XML data for the node tree starting at `node`.

  Overrides:
    `printXml` in class `DomNode`
  Parameters:
    `indent` - white space to indent child nodes
    `printWriter` - writer where child nodes are written

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.